<section class="form-login">
  <form #login="ngForm"
        (ngSubmit)="onClickLogin(login.value)">
    <div class="container"
         style="width: 370px;">
      <div class="row mb-5">
        <div class="col text-center">
          <img src="assets/img/logo-satu-peta-dark.png"
               width="140px"
               alt="logo satu peta" />
        </div>
      </div>
      <div class="row mb-4">
        <div class="col text-center"
             style="font-size:15px">
          Silahkan klik tombol log in untuk mengakses data
        </div>
      </div>
      <div class="row mb-2">
        <div class="col">

          <div class="login-inp">
            <svg class="login-inp-icon"
                 width="16"
                 height="18"
                 viewBox="0 0 16 18"
                 fill="none"
                 xmlns="http://www.w3.org/2000/svg">
              <path d="M7.99953 13.5482C11.4035 13.5482 14.3808 14.9708 16 17.0933L14.2878 17.88C12.9697 16.3626 10.6459 15.3546 7.99953 15.3546C5.35316 15.3546 3.02934 16.3626 1.71126 17.88L0 17.0924C1.61924 14.9698 4.5956 13.5482 7.99953 13.5482ZM7.99953 0C9.23217 0 10.4143 0.475798 11.2859 1.32272C12.1575 2.16965 12.6472 3.31833 12.6472 4.51606V7.2257C12.6471 8.38946 12.1847 9.50827 11.3564 10.3488C10.5281 11.1894 9.39778 11.6867 8.20124 11.7372L7.99953 11.7418C6.7669 11.7418 5.58475 11.266 4.71315 10.419C3.84155 9.57211 3.35189 8.42344 3.35189 7.2257V4.51606C3.35195 3.35231 3.81436 2.2335 4.64269 1.39296C5.47101 0.552411 6.60129 0.0550232 7.79783 0.00451617L7.99953 0ZM7.99953 1.80643C7.28825 1.80639 6.60383 2.07046 6.08632 2.54461C5.56881 3.01876 5.25732 3.66714 5.21559 4.3571L5.21095 4.51606V7.2257C5.21025 7.93103 5.49261 8.60882 5.99804 9.11506C6.50348 9.6213 7.19214 9.91609 7.9177 9.93678C8.64326 9.95748 9.34854 9.70246 9.88367 9.2259C10.4188 8.74934 10.7416 8.08882 10.7835 7.38467L10.7881 7.2257V4.51606C10.7881 3.79742 10.4943 3.10822 9.97137 2.60006C9.4484 2.0919 8.73911 1.80643 7.99953 1.80643Z"
                    fill="#A8A8A8" />
            </svg>
            <input name="username"
                   id="usernameInput"
                   class="form-control form-control-lg login-input-text"
                   placeholder="Username"
                   ngModel>
          </div>

        </div>
      </div>
      <div class="row mb-3">
        <div class="col">
          <div class="login-inp">
            <svg class="login-inp-icon"
                 width="16"
                 height="19"
                 viewBox="0 0 16 19"
                 fill="none"
                 xmlns="http://www.w3.org/2000/svg">
              <path d="M2.66667 6.22333V5.33429C2.66667 3.91955 3.22857 2.56275 4.22876 1.56238C5.22896 0.562003 6.58551 0 8 0C9.41449 0 10.771 0.562003 11.7712 1.56238C12.7714 2.56275 13.3333 3.91955 13.3333 5.33429V6.22333H15.1111C15.3469 6.22333 15.573 6.317 15.7397 6.48373C15.9064 6.65046 16 6.87659 16 7.11238V17.781C16 18.0167 15.9064 18.2429 15.7397 18.4096C15.573 18.5763 15.3469 18.67 15.1111 18.67H0.888889C0.653141 18.67 0.427048 18.5763 0.260349 18.4096C0.0936505 18.2429 0 18.0167 0 17.781V7.11238C0 6.87659 0.0936505 6.65046 0.260349 6.48373C0.427048 6.317 0.653141 6.22333 0.888889 6.22333H2.66667ZM14.2222 8.00143H1.77778V16.8919H14.2222V8.00143ZM7.11111 13.0975C6.77219 12.9017 6.50731 12.5996 6.35755 12.238C6.20778 11.8764 6.18151 11.4755 6.2828 11.0974C6.38409 10.7193 6.60728 10.3852 6.91776 10.1469C7.22824 9.90864 7.60865 9.77948 8 9.77948C8.39135 9.77948 8.77176 9.90864 9.08224 10.1469C9.39272 10.3852 9.61591 10.7193 9.7172 11.0974C9.81849 11.4755 9.79222 11.8764 9.64245 12.238C9.49269 12.5996 9.22781 12.9017 8.88889 13.0975V15.1138H7.11111V13.0975ZM4.44444 6.22333H11.5556V5.33429C11.5556 4.39113 11.181 3.48659 10.5142 2.81968C9.84736 2.15276 8.94299 1.7781 8 1.7781C7.05701 1.7781 6.15264 2.15276 5.48584 2.81968C4.81905 3.48659 4.44444 4.39113 4.44444 5.33429V6.22333Z"
                    fill="#A8A8A8" />
            </svg>
            <input name="pass"
                   id="passwordInput"
                   class="form-control form-control-lg login-input-text"
                   placeholder="Password"
                   type="password"
                   style="font-size: 0.9em;"
                   ngModel>
          </div>
        </div>
      </div>
      <div class="row mb-5">
        <div class="col">
          <button class="btn btn-primary btn-block btn-lg login-input-btn w-100 fw-normal"
                  type="submit">
            LOG IN &nbsp;&nbsp;&nbsp;<fa-icon [icon]="icon.faChevronRight"></fa-icon>
          </button>
        </div>
      </div>
    </div>
  </form>

  <swal #failSwal
        title="Oops..."
        text={{flashMessage}}
        icon="error">
  </swal>
  <swal #successSwal
        title="Successful Login"
        text="You have successfully logged in"
        icon="success">
  </swal>

  <ngx-loading [show]="loading"
               [config]="{backdropBorderRadius: '3px', fullScreenBackdrop: true}"></ngx-loading>
</section>